import type { AnythingLLMUploadMetadata } from "./anythingllm.types.js";
import { removeDocuments, updateEmbeddings, uploadDocument } from "./anythingllm.client.js";

export async function uploadNote(filePath: string, metadata: AnythingLLMUploadMetadata) {
  return uploadDocument(filePath, metadata);
}

export async function updateWorkspaceEmbeddings(adds: string[], deletes: string[]) {
  await updateEmbeddings(adds, deletes);
}

export async function cleanupDocuments(locations: string[]) {
  await removeDocuments(locations);
}
